using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Service
{
	public interface IRoomCardManager : IGenericManager<RoomCard>
	{
        IList<RoomCard> LoadAllByPage(out long total, int page, int rows, string order, string sort, int hotelID);

        RoomCard GetByCarNumber(string cardNumber, int hotelID);
	}
}
